/** @file MOMRecorder.idl
 *
 * Copyright (C) Espial Limited 2014 - Company confidential - All rights reserved.
 *
 */

    [
        Conditional=RMAI,
        JSGenerateToNativeObject
    ] interface MOMRecorder : MOMDevice {
        const unsigned short DISC_OPERATION_FORMAT = 0;
        const unsigned short DISC_OPERATION_CHECK = 1;

        readonly attribute MOMStringCollection recordings;
        readonly attribute long deviceType;
        readonly attribute boolean isRemovable;
        readonly attribute MOMDiscInfo discInfo;
        attribute long tsbMaxLength setter raises(MOMException);
        readonly attribute DOMString boxName;
        readonly attribute DOMString boxId;

        DOMString record( in MOMStream source ) raises(MOMException);
        void close( in MOMStream stream );
        void erase( in DOMString uri ) raises(MOMException);
        void beginDiscOperation( in long operation ) raises(MOMException);
        void cancelDiscOperation() raises(MOMException);

    };
